%ext kdr

#Files
%egahead EGAHEAD.KDR		#New graphics
%patchfile $29846 "EGADICT.KDR"	#Using KG!
%patchfile $29C46 "EGADICT.KDR" #No map compression
%patchfile $1FA50 "MAPHEAD.CK7" #Use new maps
%patchfile $1FC46 "KeenD.tli"	#New tile properties
%patchfile $2308E "STORY.KDR"	#New story

#Asparagusto fly like Minecarts
%patch $25688 $010FW $010FW $0001W $0001W $0000W $000AW $000AW $0000W
              $00000000L    $00000000L    $0868014BRL   $1C36W
%patch $256A6 $0110W $0110W $0001W $0001W $0000W $000AW $000AW $0000W
              $00000000L    $00000000L    $0868014BRL   $1C54W
%patch $256C4 $0111W $0111W $0001W $0001W $0000W $000AW $000AW $0000W
              $00000000L    $00000000L    $0868014BRL   $1C72W
%patch $256E2 $0112W $0112W $0001W $0001W $0000W $000AW $000AW $0000W
              $00000000L    $00000000L    $0868014BRL   $19C0W

#Use brocoli actions for extra asparagusto frames
%patch $25430 $0113W $0113W $0001W $0001W $0000W $000AW $000AW $0000W
              $00000000L    $00000000L    $0868014BRL   $19DEW
%patch $2544E $0114W $0114W $0001W $0001W $0000W $000AW $000AW $0000W
              $00000000L    $00000000L    $0868014BRL   $19FCW
%patch $2546C $0115W $0115W $0001W $0001W $0000W $000AW $000AW $0000W
              $00000000L    $00000000L    $0868014BRL   $1A1AW
%patch $2548A $0116W $0116W $0001W $0001W $0000W $000AW $000AW $0000W
              $00000000L    $00000000L    $0868014BRL   $1C18W

#Mine carts move in air, not on ground
%patch $87DF $75
%patch $87F2 $75

#Minecart uses 1 anim
%patch $25868 $0125W $0125W

#Disable F10+W cheat
%patch $3906 $90 $90

#Display bomb message always for levels >5
%patch $6A55 $711EW  $4C $90 $90
%patch $6A50 $06 $7E

#Can't defeat window:
%patch $2513E "You think about exploring"	$0A
               "the rest of Tuberia, but"	$0A
               "then you come to your"		$0A
               "senses."			$00

#Level names 
%patch $23FCA "The Land of Tuberia" $00
%patch $23FDE "Farfern Fens" $00
%patch $23FEB "Castle Iteration" $00
%patch $23FFC "Carrot Canyon" $00
%patch $2400A "Paramultart Place" $00

#Leven name pointers: 
%patch $23E48 $5A $05 #Land of Tuberia... 
              $6E $05 
              $7B $05 
              $8C $05 
              $9A $05 
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $59 $05
              $00 $00 


#Carrot jump is 1st runnning frame
%patch $2566A $0105W $010AW

#Carrot run is half speed
%patch $255FC $000AW        #Animation speed
%patch $2561A $000AW        #Animation speed
%patch $25638 $000AW        #Animation speed
%patch $25656 $000AW        #Animation speed

#Falling grape turns into tomato
%patch $865D $1B64W

#Trooper doesn't stab Keen
%patch $8743 $1D08W

#Boobus is dream machine
%patch $25E60 $23D4W		#Boobus uses 1 action
%patch $25E44 $016FW $016FW	#Walk uses die anim
%patch $23E90  $016FW		#Boobus Tuber cache is 1 anim long
%patch $25E50 $0000W $0000W	#No walking speed
%patch $25E54 $00000000L	#No chase behavior


#################################
#Patch a new start screen	#
#################################

#Screen:
%patchfile $124B1 "TRASH.BIN"	#Screen code
%patchfile $32AD0 "TRASH.CAN"	#Sceen text

#The 'Ready press a key text:
%patch $13852 $11 $00 #V position, lines
%patch $13856 $1A $00 #V position, lines
%patch $1384B $9B     #Color
%patch $1384E $87 $51 #Text loc
%patch $28BF7 "   Ready: Press a key!   " $00


#################################
#Ending story			#
#################################

#Adjustments
%patch $596C $084EW  #Text read from (2nd window)
%patch $59A6 $09ABW  #Text read from (3rd window)
%patch $591C $20 $00 #Window width (32 chars)
%patch $595B $20 $00 #Window width (32 chars)
%patch $5995 $20 $00 #Window width (32 chars)
%patch $5991 $17 $00 #Window height (21 chars)

#Story
%patch $24128 "The Dream Machine explodes in a" $0A
              "ball of flames, tearing up the" $0A
              "very reality of Tuberia. As Keen" $0A
              "flees the crumbling castle he" $0A
              "sees the a fleeing figure" $0A
              "enveloped in actinic fire in a" $0A
              "destruction so incredible, so" $0A
%patch $241FD "astounding, that no simple text" $0A
              "window could ever hope to" $0A
              "describe it." $0A $0A
              "All that remains is a single" $0A
              "drifting piece of paper that" $0A
              "Keen stores away for later as" $0A
              "his perspective begins to fade.." $00

%patch $242BE "Keen awoke in his bed, in his room" $0A
              "as expected, with a hunger for" $0A
              "a crisp, red apple." $0A $0A
              "Well that had been remarkably easy;" $0A
              "he hadn't had to forge the Rabid" $0A
              "River, or the Peaks of Peril or the" $0A
              "spectacularly dangerous Nightmare" $0A
              "Marshes. Thank goodness!" $0A $0A
%patch $243BA "But something seems wrong to him," $0A
              "and it doesn't take long for him" $0A
              "to notice the lolcats poster." $00
%patch $2441B "Coming downstairs he is greeted by" $0A
              "yet more lolcats as he is told" $0A
              "that due to a reccent spate of" $0A
              "nightmares it's now law that" $0A
              "cute cat pictures be placed in" $0A
              "every home." $0A
              "With rising anger Keen checks" $0A
              "the sheet of paper in his" $0A
              "pocket..." $0A $0A
%patch $24507 $8C $8D $8E $0A
              $8F $90 $91 $0A
              $92 $93 $94 $0A
              $95 $96 $97 $0A
              $98 $99 $9A $0A
              " PARA" $00


%end

